<template>
  <div id="main-layout">
    <MenuBar />
    <div>
      <Nuxt />
    </div>
  </div>
</template>

<script>
import { mapState } from 'vuex'
import MenuBar from '~/components/dashboard/menuBar.vue'
export default {
  name: 'DefaultLayout',

  components: { MenuBar },
  data () {
    return {
      globalItems: [
        {
          title: 'Home',
          icon: 'home',
          to: { name: 'index' }
        }
      ],
      authenticatedItems: [
        {
          title: 'Sair',
          icon: 'logout',
          to: { name: 'logout' }
        }
      ]
    }
  },
  computed: {
    ...mapState('auth', ['loggedIn'])
  },

  methods: {}
}
</script>

<style>
  .p-toolbar {
    background-color: #ededed;
  }
</style>
